<template>
	<v-app>
		<BlockHeaderNav v-if="appStatus === 'authorized'"/>

		<v-main>
			<router-view v-if="appStatus === 'authorized'"/>
			<auth v-if="appStatus === 'unauthorized'"/>
		</v-main>
	</v-app>
</template>

<script>
	import Auth from '@/views/auth/';
	import BlockHeaderNav from '@/components/blocks/BlockHeaderNav';


	export default {
		name: 'App',
		components: {
			Auth,
			BlockHeaderNav
		},
		computed: {
			appStatus() {
				return this.$store.state.appStatus
			},
		},
		data: () => ({
		}),
	};
</script>

<style lang="stylus">
	@import './styles/index.styl'
</style>